Subject: Re: [Patch][hw-breakpoint] Use generic hw-breakpoint interfaces for new PPC ptrace flags

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 15 May 2012 06:49:47 +1000

On Mon, 2012-05-14 at 15:54 +0530, K.Prasad wrote:
> On Mon, May 14, 2012 at 10:53:42AM +1000, Benjamin Herrenschmidt wrote:
> > On Fri, 2012-05-11 at 14:13 +0530, K.Prasad wrote:
> > 
> > > +#ifdef CONFIG_HAVE_HW_BREAKPOINT
> > > +	int ret, len = 0;
> > > +	struct thread_struct *thread = &(child->thread);
> > > +	struct perf_event *bp;
> > > +	struct perf_event_attr attr;
> > > +#endif /* CONFIG_HAVE_HW_BREAKPOINT */
> > 
> > "ret" is unused in that function, causing a warning which breaks the
> > build since we have -Werror. I'm fixing that locally but be more careful
> > next time please.
> > 
> > Ben.
> 
> Sorry about that warning, I clearly missed that. I guess you
> do a custom build with -Werror flag enabled, unlike what the normal
> Makefile does?

The normal Makefile has -Werror enabled on arch/powerpc, you are
probably using an older compiler that didn't warn on unused variables by
default.

Ben.